Main Page Widgets Namespaces Book

# module.h File Reference

## Namespaces

namespace | Glib

## Classes

class | Glib::Module
| Dynamic Loading of Modules These functions provide a portable way to dynamically load object files (commonly known as 'plug-ins'). More...

## Enumerations

enum | ModuleFlags { MODULE_BIND_LAZY = 1 << 0, MODULE_BIND_MASK = 0x01 }

## Functions

ModuleFlags | operator| (ModuleFlags lhs, ModuleFlags rhs)
ModuleFlags | operator& (ModuleFlags lhs, ModuleFlags rhs)
ModuleFlags | operator^ (ModuleFlags lhs, ModuleFlags rhs)
ModuleFlags | operator~ (ModuleFlags flags)
ModuleFlags& | operator|= (ModuleFlags& lhs, ModuleFlags rhs)
ModuleFlags& | operator&= (ModuleFlags& lhs, ModuleFlags rhs)
ModuleFlags& | operator^= (ModuleFlags& lhs, ModuleFlags rhs)